<?php
require_once(getabspath("classes/cipherer.php"));
$tdatagenerar_barras = array();
	$tdatagenerar_barras[".NumberOfChars"] = 80; 
	$tdatagenerar_barras[".ShortName"] = "generar_barras";
	$tdatagenerar_barras[".OwnerID"] = "";
	$tdatagenerar_barras[".OriginalTable"] = "ciudad";

//	field labels
$fieldLabelsgenerar_barras = array();
if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelsgenerar_barras["Spanish"] = array();
	$fieldToolTipsgenerar_barras["Spanish"] = array();
	$fieldLabelsgenerar_barras["Spanish"]["idciudad"] = "Idciudad";
	$fieldToolTipsgenerar_barras["Spanish"]["idciudad"] = "";
	$fieldLabelsgenerar_barras["Spanish"]["nombre"] = "Nombre";
	$fieldToolTipsgenerar_barras["Spanish"]["nombre"] = "";
	if (count($fieldToolTipsgenerar_barras["Spanish"]))
		$tdatagenerar_barras[".isUseToolTips"] = true;
}
	
	
	$tdatagenerar_barras[".NCSearch"] = true;



$tdatagenerar_barras[".shortTableName"] = "generar_barras";
$tdatagenerar_barras[".nSecOptions"] = 0;
$tdatagenerar_barras[".recsPerRowList"] = 1;
$tdatagenerar_barras[".mainTableOwnerID"] = "";
$tdatagenerar_barras[".moveNext"] = 1;
$tdatagenerar_barras[".nType"] = 1;

$tdatagenerar_barras[".strOriginalTableName"] = "ciudad";




$tdatagenerar_barras[".showAddInPopup"] = false;

$tdatagenerar_barras[".showEditInPopup"] = false;

$tdatagenerar_barras[".showViewInPopup"] = false;

$tdatagenerar_barras[".fieldsForRegister"] = array();
	
if (!isMobile())
	$tdatagenerar_barras[".listAjax"] = true;
else 
	$tdatagenerar_barras[".listAjax"] = false;

	$tdatagenerar_barras[".audit"] = false;

	$tdatagenerar_barras[".locking"] = false;





$tdatagenerar_barras[".showSimpleSearchOptions"] = false;

$tdatagenerar_barras[".showSearchPanel"] = true;

if (isMobile())
	$tdatagenerar_barras[".isUseAjaxSuggest"] = false;
else 
	$tdatagenerar_barras[".isUseAjaxSuggest"] = true;

$tdatagenerar_barras[".rowHighlite"] = true;

// button handlers file names

$tdatagenerar_barras[".addPageEvents"] = false;

// use timepicker for search panel
$tdatagenerar_barras[".isUseTimeForSearch"] = false;




$tdatagenerar_barras[".allSearchFields"] = array();

$tdatagenerar_barras[".allSearchFields"][] = "nombre";

$tdatagenerar_barras[".googleLikeFields"][] = "idciudad";
$tdatagenerar_barras[".googleLikeFields"][] = "nombre";


$tdatagenerar_barras[".advSearchFields"][] = "nombre";

$tdatagenerar_barras[".isTableType"] = "list";

	



// Access doesn't support subqueries from the same table as main



$tdatagenerar_barras[".pageSize"] = 20;

$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatagenerar_barras[".strOrderBy"] = $tstrOrderBy;

$tdatagenerar_barras[".orderindexes"] = array();

$tdatagenerar_barras[".sqlHead"] = "SELECT idciudad,   nombre";
$tdatagenerar_barras[".sqlFrom"] = "FROM ciudad";
$tdatagenerar_barras[".sqlWhereExpr"] = "";
$tdatagenerar_barras[".sqlTail"] = "";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatagenerar_barras[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatagenerar_barras[".arrGroupsPerPage"] = $arrGPP;

$tableKeysgenerar_barras = array();
$tableKeysgenerar_barras[] = "idciudad";
$tdatagenerar_barras[".Keys"] = $tableKeysgenerar_barras;

$tdatagenerar_barras[".listFields"] = array();

$tdatagenerar_barras[".viewFields"] = array();

$tdatagenerar_barras[".addFields"] = array();

$tdatagenerar_barras[".inlineAddFields"] = array();

$tdatagenerar_barras[".editFields"] = array();

$tdatagenerar_barras[".inlineEditFields"] = array();

$tdatagenerar_barras[".exportFields"] = array();

$tdatagenerar_barras[".printFields"] = array();

//	idciudad
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "idciudad";
	$fdata["GoodName"] = "idciudad";
	$fdata["ownerTable"] = "ciudad";
	$fdata["Label"] = "Idciudad"; 
	$fdata["FieldType"] = 3;
	
		$fdata["AutoInc"] = true;
	
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "idciudad"; 
		$fdata["FullName"] = "idciudad";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatagenerar_barras["idciudad"] = $fdata;
//	nombre
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "nombre";
	$fdata["GoodName"] = "nombre";
	$fdata["ownerTable"] = "ciudad";
	$fdata["Label"] = "Nombre"; 
	$fdata["FieldType"] = 200;
	
		
		
		
		
		
		
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		
		$fdata["strField"] = "nombre"; 
		$fdata["FullName"] = "nombre";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=45";
	
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatagenerar_barras["nombre"] = $fdata;

	
$tables_data["generar_barras"]=&$tdatagenerar_barras;
$field_labels["generar_barras"] = &$fieldLabelsgenerar_barras;
$fieldToolTips["generar_barras"] = &$fieldToolTipsgenerar_barras;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["generar_barras"] = array();
	
// tables which are master tables for current table (detail)
$masterTablesData["generar_barras"] = array();

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










function createSqlQuery_generar_barras()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "idciudad,   nombre";
$proto0["m_strFrom"] = "FROM ciudad";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
$proto0["m_strTail"] = "";
$proto0["cipherer"] = null;
$proto1=array();
$proto1["m_sql"] = "";
$proto1["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto1["m_column"]=$obj;
$proto1["m_contained"] = array();
$proto1["m_strCase"] = "";
$proto1["m_havingmode"] = "0";
$proto1["m_inBrackets"] = "0";
$proto1["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto1);

$proto0["m_where"] = $obj;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = "0";
$proto3["m_inBrackets"] = "0";
$proto3["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto3);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto5=array();
			$obj = new SQLField(array(
	"m_strName" => "idciudad",
	"m_strTable" => "ciudad"
));

$proto5["m_expr"]=$obj;
$proto5["m_alias"] = "";
$obj = new SQLFieldListItem($proto5);

$proto0["m_fieldlist"][]=$obj;
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "nombre",
	"m_strTable" => "ciudad"
));

$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto9=array();
$proto9["m_link"] = "SQLL_MAIN";
			$proto10=array();
$proto10["m_strName"] = "ciudad";
$proto10["m_columns"] = array();
$proto10["m_columns"][] = "idciudad";
$proto10["m_columns"][] = "nombre";
$obj = new SQLTable($proto10);

$proto9["m_table"] = $obj;
$proto9["m_alias"] = "";
$proto11=array();
$proto11["m_sql"] = "";
$proto11["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto11["m_column"]=$obj;
$proto11["m_contained"] = array();
$proto11["m_strCase"] = "";
$proto11["m_havingmode"] = "0";
$proto11["m_inBrackets"] = "0";
$proto11["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto11);

$proto9["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto9);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_generar_barras = createSqlQuery_generar_barras();
		$tdatagenerar_barras[".sqlquery"] = $queryData_generar_barras;
	
if(isset($tdatagenerar_barras["field2"])){
	$tdatagenerar_barras["field2"]["LookupTable"] = "carscars_view";
	$tdatagenerar_barras["field2"]["LookupOrderBy"] = "name";
	$tdatagenerar_barras["field2"]["LookupType"] = 4;
	$tdatagenerar_barras["field2"]["LinkField"] = "email";
	$tdatagenerar_barras["field2"]["DisplayField"] = "name";
	$tdatagenerar_barras[".hasCustomViewField"] = true;
}

include_once(getabspath("include/generar_barras_events.php"));
$tableEvents["generar_barras"] = new eventclass_generar_barras;
$tdatagenerar_barras[".hasEvents"] = true;

$cipherer = new RunnerCipherer("generar_barras");

?>